org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class PathTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PathTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PathTest.Traversals

- Enclosing class:
    PathTest

      public static class PathTest.Traversals
      extends PathTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.PathTest

      `PathTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Integer,Path>` | `get_g_injectX1_null_nullX_path_dedup()`
    `Traversal<Integer,Path>` | `get_g_injectX1_null_nullX_path()`
    `Traversal<Vertex,Path>` | `get_g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path()`
    `Traversal<Vertex,Path>` | `get_g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX()`
    `Traversal<Vertex,Path>` | `get_g_V_out_out_path_byXnameX_byXageX()`
    `Traversal<Vertex,Path>` | `get_g_V_repeatXoutX_timesX2X_path_by_byXnameX_byXlangX()`
    `Traversal<Vertex,Path>` | `get_g_VX1X_name_path(Object v1Id)`
    `Traversal<Vertex,Path>` | `get_g_VX1X_out_path_byXageX_byXnameX(Object v1Id)`
    `Traversal<Vertex,Path>` | `get_g_VX1X_out_path_byXageX(Object v1Id)`
    `Traversal<Vertex,Path>` | `get_g_VX1X_outEXcreatedX_inV_inE_outV_path(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.PathTest

      `g_injectX1_null_nullX_path_dedup, g_injectX1_null_nullX_path, g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path, g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX, g_V_out_out_path_byXnameX_byXageX, g_V_repeatXoutX_timesX2X_path_byXitX_byXnameX_byXlangX, g_VX1X_name_path, g_VX1X_out_path_byXageX_byXnameX, g_VX1X_out_path_byXageX, g_VX1X_outEXcreatedX_inV_inE_outV_path`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_name_path

          public Traversal<Vertex,Path> get_g_VX1X_name_path(Object v1Id)

      Specified by:
        `get_g_VX1X_name_path` in class `PathTest`

    - #### get_g_VX1X_out_path_byXageX

          public Traversal<Vertex,Path> get_g_VX1X_out_path_byXageX(Object v1Id)

      Specified by:
        `get_g_VX1X_out_path_byXageX` in class `PathTest`

    - #### get_g_VX1X_out_path_byXageX_byXnameX

          public Traversal<Vertex,Path> get_g_VX1X_out_path_byXageX_byXnameX(Object v1Id)

      Specified by:
        `get_g_VX1X_out_path_byXageX_byXnameX` in class `PathTest`

    - #### get_g_V_repeatXoutX_timesX2X_path_by_byXnameX_byXlangX

          public Traversal<Vertex,Path> get_g_V_repeatXoutX_timesX2X_path_by_byXnameX_byXlangX()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X_path_by_byXnameX_byXlangX` in class `PathTest`

    - #### get_g_V_out_out_path_byXnameX_byXageX

          public Traversal<Vertex,Path> get_g_V_out_out_path_byXnameX_byXageX()

      Specified by:
        `get_g_V_out_out_path_byXnameX_byXageX` in class `PathTest`

    - #### get_g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path

          public Traversal<Vertex,Path> get_g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path()

      Specified by:
        `get_g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path` in class `PathTest`

    - #### get_g_VX1X_outEXcreatedX_inV_inE_outV_path

          public Traversal<Vertex,Path> get_g_VX1X_outEXcreatedX_inV_inE_outV_path(Object v1Id)

      Specified by:
        `get_g_VX1X_outEXcreatedX_inV_inE_outV_path` in class `PathTest`

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX

          public Traversal<Vertex,Path> get_g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX()

      Specified by:
        `get_g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX` in class `PathTest`

    - #### get_g_injectX1_null_nullX_path

          public Traversal<Integer,Path> get_g_injectX1_null_nullX_path()

      Specified by:
        `get_g_injectX1_null_nullX_path` in class `PathTest`

    - #### get_g_injectX1_null_nullX_path_dedup

          public Traversal<Integer,Path> get_g_injectX1_null_nullX_path_dedup()

      Specified by:
        `get_g_injectX1_null_nullX_path_dedup` in class `PathTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.